//
//  AppearancePicker.swift
//  Jel
//
//  Created by zerocool on 12/15/23.
//

import SwiftUI

struct AppearancePicker: View {
  @ObservedObject var settingsController: SettingsController = SettingsController.shared
  
  var body: some View {
    Picker("Appearance", selection: $settingsController.appearance) {
      ForEach(AppearanceState.allCases) { option in
        Text(String(describing: option))
      }
    }
    .pickerStyle(.menu)
  }
}

#Preview {
  AppearancePicker()
}
