//
//  ItemInfoView.swift
//  Jel
//
//  Created by zerocool on 12/24/23.
//

import SwiftUI
import JellyfinKit

struct ItemInfoView: View {
  @State var item: BaseItemDto
  
  var body: some View {
    VStack(alignment: .leading) {
      HStack {
        Text((item.productionYear != nil) ? String(item.productionYear!) : "---")
        Text("•")
        Text(item.genres?.first ?? "---")
      }
      Text(item.getRuntime() ?? "-:--")
    }
    .font(.caption)
  }
}

//#Preview {
//  ItemInfoView()
//}
